org.eclipse.gef

## Interface GraphicalViewer

All Superinterfaces:
  EditPartViewer, ISelectionProvider

All Known Implementing Classes:
  GraphicalViewerImpl, PaletteViewer, ScrollingGraphicalViewer

    public interface GraphicalViewer
    extends EditPartViewer

Specializes `EditPartViewer` adding the ability to hit-test `Handles`.

See Also:
  `GraphicalViewerImpl`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer

`EditPartViewer.Conditional`

### Method Summary

Methods
`Handle` `findHandleAt(Point p)` Returns the `Handle` at the specified Point.

### Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, appendSelection, createControl, deselect, deselectAll, findObjectAt, findObjectAtExcluding, findObjectAtExcluding, flush, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, registerAccessibleEditPart, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, reveal, select, setContents, setContents, setContextMenu, setControl, setCursor, setEditDomain, setEditPartFactory, setFocus, setKeyHandler, setProperty, setRootEditPart, setRouteEventsToEditDomain, setSelectionManager, unregisterAccessibleEditPart`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

### Method Detail

#### findHandleAt

    Handle findHandleAt(Point p)

Returns the `Handle` at the specified Point. Returns `null` if no handle exists at the given Point. The specified point should be relative to the `client area` for this Viewer's `Control`.

Parameters:
  `p` - the location relative to the Control's client area
Returns:
  Handle `null` or a Handle